Subject: Re: bug#16526: 24.3.50; scroll-conservatively & c-mode regression

From: Eli Zaretskii <[email-masked]>
Date: Thu, 30 Jan 2014 19:16:27 +0200

> Date: Wed, 29 Jan 2014 21:52:40 +0000
> Cc: [email-masked]
> From: Alan Mackenzie <[email-masked]>
> 
> OK, here is a rough patch (smooth version to follow if it's any good),
> which attempts to solve the problem by not calling
> c-append-lower-brace-pair-to-state-cache in the pertinent circumstances.
> Please try it out and let me know if it solves the problem

It takes about 3 sec here, so I think it does solve the problem.

> (I still can't reproduce the massive slowdown myself).

Did you try to configure like I've shown and rebuild?